<?php //
/**********************************************************************
***********************************************************************/

function save_est_boq_group_to_another_est_boq_group($to_est_boq_item_group, $to_est_project_id)
{

    if(isset($to_est_boq_item_group['id']) && $to_est_boq_item_group['id'] > 0 ){
        update_est_project_boq_item_groups($to_est_boq_item_group['id'], $to_est_boq_item_group['code'], $to_est_boq_item_group['description'], 
                                           $to_est_boq_item_group['display_order'], $to_est_boq_item_group['parent_id'] );
    }
    else{
        add_est_project_boq_item_groups($to_est_project_id, $to_est_boq_item_group['code'], $to_est_boq_item_group['description'], 
                                        $to_est_boq_item_group['display_order'], $to_est_boq_item_group['parent_id']);
    }
    return array("success"=>true, "set_focus"=>"", "message"=>"");  
}
    
    
function save_est_boq_item_to_another_est_boq_item($to_est_boq_item, $to_est_project_id)
{
    
    if(isset($to_est_boq_item['id']) && $to_est_boq_item['id'] > 0 ){
        update_est_project_boq_item($to_est_boq_item['id'], $to_est_boq_item['display_order'], $to_est_boq_item['type_id'], $to_est_boq_item['code'], 
                                    $to_est_boq_item['description'], $to_est_boq_item['billing_type'], $to_est_boq_item['unit'], $to_est_boq_item['rate'], 
                                    $to_est_boq_item['max_quantity'], $to_est_boq_item['long_description'], $to_est_boq_item['print_long_description'], 
                                    $to_est_boq_item['tax_group_id'], $to_est_boq_item['group_id']);
        return $to_est_boq_item['id'];
    }
    else{
        return add_est_project_boq_item($to_est_project_id, $to_est_boq_item['type_id'], $to_est_boq_item['display_order'], $to_est_boq_item['code'], 
                                        $to_est_boq_item['description'], $to_est_boq_item['billing_type'], $to_est_boq_item['unit'], $to_est_boq_item['rate'],  
                                        $to_est_boq_item['max_quantity'], $to_est_boq_item['long_description'], $to_est_boq_item['print_long_description'], 
                                        $to_est_boq_item['tax_group_id'],  $to_est_boq_item['group_id']);
    }
}

function save_est_boq_item_component_to_another_est_boq_item_component($to_est_boq_item_component)
{
    
    if(isset($to_est_boq_item_component['id']) && $to_est_boq_item_component['id'] > 0 ){

        update_est_project_boq_item_component($to_est_boq_item_component['id'], $to_est_boq_item_component['boq_item_id'], 
                                              $to_est_boq_item_component['detail_type_code'], $to_est_boq_item_component['primary_type'], 
                                              $to_est_boq_item_component['cost'], $to_est_boq_item_component['row_state']);
        return $to_est_boq_item_component['id'];
    }
    else{
        return add_est_project_boq_item_component($to_est_boq_item_component['boq_item_id'], $to_est_boq_item_component['detail_type_code'], 
                                                  $to_est_boq_item_component['primary_type'], $to_est_boq_item_component['cost'], 
                                                  $to_est_boq_item_component['row_state']);
    }
}


?>




























































































































































